         <div class="modal fade">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" ng-click="closeModal('Cancel')" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">{{confirmation_required}}</h4>
              </div>
              <div class="modal-body">
                <p>{{are_you_sure_you_want_to_proceed}}</p>
              </div>
              <div class="modal-footer">
                <button type="button" ng-click="closeModal('No')" class="btn btn-default" data-dismiss="modal">{{NO}}</button>
                <button type="button" ng-click="closeModal('Yes')" class="btn btn-primary" data-dismiss="modal">{{YES}}</button>
              </div>
            </div>
          </div>
        </div>
